net.sourceforge.pmd.lang.dfa.pathfinder

## Class PathElement

- java.lang.Object
- - net.sourceforge.pmd.lang.dfa.pathfinder.PathElement

    public class PathElement
    extends Object

### Field Summary

Fields
`int` `currentChild`
`DataFlowNode` `node`
`DataFlowNode` `pseudoRef`

### Method Summary

Methods
`boolean` `isPseudoPathElement()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### currentChild

    public int currentChild

#### node

    public DataFlowNode node

#### pseudoRef

    public DataFlowNode pseudoRef

### Method Detail

#### isPseudoPathElement

    public boolean isPseudoPathElement()